---
pageClass: rule-details
sidebarDepth: 0
title: vue/comma-spacing
description: enforce consistent spacing before and after commas in `<template>`
since: v7.0.0
---
# vue/comma-spacing

> enforce consistent spacing before and after commas in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [comma-spacing] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [comma-spacing]

[comma-spacing]: https://eslint.org/docs/rules/comma-spacing

## :rocket: Version

This rule was introduced in eslint-plugin-vue v7.0.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/comma-spacing.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/comma-spacing.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/comma-spacing)</sup>
